package pila;

import java.util.LinkedList;

public class PilaLinkedList implements Pila {
	LinkedList<Object> ll = new LinkedList<Object>();

	public boolean isEmpty() {
		return ll.isEmpty();
	}

	public void pop() {
		if (isEmpty())
			throw new EccezioneStrutturaVuota("Pila vuota");
		ll.removeLast();
	}

	public void push(Object e) {
		ll.addLast(e);
	}

	public Object top() {
		if (isEmpty())
			throw new EccezioneStrutturaVuota("Pila vuota");
		return ll.getLast();
	}
}
